Bug 116522 - [update] x11/slim default config have paths containing non-expanded variables
Summary: [update] x11/slim default config have paths containing non-expanded variables
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-21 21:30 UTC by Carl Johan Gustavsson
Modified: 2007-09-24 12:20 UTC (History)
0 users

See Also:


Attachments
file.diff (3.35 KB, patch)
2007-09-21 21:30 UTC, Carl Johan Gustavsson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carl Johan Gustavsson 2007-09-21 21:30:19 UTC
The default configuration file installed by x11/slim contains non-expanded variables ('$(LOCALBASE)'). Because of this, slim does not start with the default configuration file.

Fix: Apply attached patch with

cd /usr/ports/x11/slim
patch -p1 < patchfile

Patch attached with submission follows:
How-To-Repeat: Install slim and try to start it with the default config.
Comment 1 Edwin Groothuis freebsd_committer 2007-09-21 21:30:26 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Tobias Roth 2007-09-23 19:59:12 UTC
Thanks Carl Johan for finding this an creating a patch. Please commit.
Comment 3 dfilter service freebsd_committer 2007-09-24 12:15:49 UTC
miwi        2007-09-24 11:15:43 UTC

  FreeBSD ports repository

  Modified files:
    x11/slim             Makefile 
    x11/slim/files       patch-Makefile.freebsd patch-slim.conf 
  Log:
  - Respect LOCALBASE
  
  PR:             116522
  Submitted by:   Carl Johan Gustavsson <cjg@bsdmail.org>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.10      +5 -1      ports/x11/slim/Makefile
  1.4       +3 -3      ports/x11/slim/files/patch-Makefile.freebsd
  1.5       +4 -4      ports/x11/slim/files/patch-slim.conf
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2007-09-24 12:16:19 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!